<template>
  <div class="question-wapper" v-click-outside="turnOffCollapse" @click="toggle" :class="{'active' : isCollapse}">
    <div class="question-content">
      <span class="mr-auto title">{{ $t(question.questionContent) }}</span>
      <span class="iconmo-arrow arrow"></span>
    </div>
    <div class="answer" :class="{show: isCollapse}">
      <span class="content">
        {{ $t(question.answer) }}
      </span>
    </div>
  </div>
</template>
<script>
import QuestionMixin from '../../../common/components/faq/QuestionMixin';

export default {
  mixins: [QuestionMixin],
};
</script>
<style scoped lang="scss">
  @import '../../../../sass/variables';
  .question-wapper {
    position: relative;
    cursor: pointer;
    border-bottom: 1rem solid #e0e0e0;
    transition: all 0.3s ease;
    padding: 15rem 12rem 15rem;

    .title {
      max-width: calc(100% - 15rem);
      display: inline-block;
      font-weight: bold;
      font-size: $small;
      color: $gray;
      transition: all 0.3s ease-in-out;
    }
    .question {
      .question-content {
        span {
          font-size: 20rem;
          color: $black;
        }
      }
    }
    .arrow {
      position: absolute;
      right: 12rem;
      top: 21rem;
      color: #989898;
      font-size: 10rem;
      display: inline-block;
      transition: all 0.3s ease-in-out;
      transform: rotateZ(90deg);
    }
    .answer {
      font-size: 14rem;
      line-height: 1.79;
      color: #505050;
      
      max-height: 0;
      overflow: hidden;
      transition: all 0.4s ease-out;
      
      .content {
        display: inline-block;
        padding: 10rem 0 16rem;
      }
    }
    &.active {
      border-color: $orange;
      .arrow {
        transform: rotateZ(-90deg);
      }
      .question-content span {
        color: #fa7300 !important;
      }
      .answer {
        max-height: 1000rem;
      }
    }
  }
</style>

